INCLUDES = $(all_includes) -I../../kmfwidgets -I../../ipteditor
METASOURCES = AUTO
kde_module_LTLIBRARIES =  libkmfruleoptionedit_interface.la

libkmfruleoptionedit_interface_la_LDFLAGS = -module -no-undefined \
	$(all_libraries) $(KDE_PLUGIN) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
libkmfruleoptionedit_interface_la_LIBADD = \
	 $(LIB_TDEPARTS) ../../core/libkmfcore.la

noinst_HEADERS =  kmfruleeditorinterface.h kmfruleoptioneditinterface.h

libkmfruleoptionedit_interface_la_SOURCES = kmyfirewallruleeditorinterface.ui kmfruleeditorinterface.cpp kmfruleoptioneditinterface.cpp 

partdesktopdir = $(kde_servicesdir)
partdesktop_DATA = kmfruleoptionedit_interface.desktop

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/
	$(INSTALL_DATA)  $(srcdir)/kmfruleoption_interface_option.xml $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/kmfruleoption_interface_option.xml

uninstall-local:
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/kmfruleoption_interface_option.xml




